Kerbal Space Program - Bug #18031

Defective specular highlights with enabled IVA overlay

03/14/2018 10:26 AM - Nils277

Status: Closed Start date: 03/14/2018
Severity: Normal % Done: 100%
Assignee:

Category: Camera

Target version: 1.4.3

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Enabling the IVA overlay causes the specular highlights of parts with a specular shader to become defective.

In more detail:

® The intensitiy of the specular highlight is set to 1.

e The atmosphere as well the terrain can be seen in negative(?) colors in the specular highlights

This won't be that visible for parts that have the shinyness value set to 1. Smaller values however make that caused effect way more

visible.

History

#1 - 04/06/2018 09:05 AM - Nils277
- File screenshot91.jpg added
- Version changed from 1.4.1 to 1.4.2

#2 - 04/06/2018 09:07 AM - Nils277
- File deleted (screenshot91.jpg)

#3 - 04/06/2018 09:08 AM - Nils277
- File screenshot92.jpg added

#4 - 04/06/2018 09:34 AM - Squelch
- Status changed from New to Investigating

- % Done changed from 0 to 20

#6 - 04/26/2018 11:26 PM - Squelch
- Status changed from Investigating to Ready to Test
- Target version set to 1.4.3

- % Done changed from 20 to 80

The specular highlights have now been fixed while IVA overlay is active.

#7 - 04/30/2018 08:41 AM - Nils277
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Checked with 1.4.3 and the bug seems to be fixed. Cannot reproduce it.

#8 - 10/15/2018 07:02 PM - joshua.collins

- Status changed from Resolved to Closed

04/10/2024

1/2




Files

screenshot90.jpg 460 KB 03/14/2018 Nils277
screenshot91.jpg 462 KB 03/14/2018 Nils277
screenshot92.jpg 428 KB 04/06/2018 Nils277
